<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        /* ЗАДАНИЕ
            1. Создайте массив styles с элементами «Джаз» и «Блюз».
            2. Добавьте «Рок-н-ролл» в конец.
            3. Замените значение в середине на «Классика». Ваш код для поиска значения в середине должен работать для массивов с любой длиной.
            4. Удалите первый элемент массива и покажите его.
            5. Вставьте «Рэп» и «Регги» в начало массива
        */
        /* Создаю массив styles с элементами "Джаз" и "Блюз" */
        const styles = ["Джаз", "Блюз"];
        /* С помощью метода .push() отправляю в конец массива элемент "Рок-н-ролл" */
        styles.push("Рок-н-ролл");
        /* Вывожу массив перед изменениями используя метод .join() для удобности разделения элементов */
        document.write("<b>Массив до удаления элементов: </b>" + styles.join(", "));
        /* 
            Удаляю элемент по индексу, элемент который находиться в середине массива, 
            для этого я беру длину массива с помощью свойства length и делю его на 2, получаю середину, 
            вместо этого элемента вставляю "Классика" 
        */
        styles.splice(styles.length/2, 1, "Классика");
        /* Вывожу массив после удаления элемента */
        document.write("<br><b>Массив после удаления: </b>" + styles.join(", "));
        /* С помощью метода .shift() удаляю элемент массива, который находился в начале и вывожу его */
        document.write("<br><b>Удаленный элемент из начала: </b>" + styles.shift());
        /* С помощью метода .unshift() добавляю элементы "Рэп", "Регги" в начало массива */
        styles.unshift("Рэп", "Регги");
        /* Вывожу конечный вид массива после всех опеарций */
        document.write("<br><b>Массив после вставки элементов в начало: </b>" + styles.join(", "));

    </script>
</body>
</html>
